body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background: linear-gradient(135deg, #FF00A8, #6A3EFC, #00B9FF);
  background-attachment: fixed;
  color: white;
  flex-direction: column;
  display: flex;
  /* text-align: center; */
}

home {
  text-align: center;
}

main {
  flex: 1;           /* 占满剩余空间 */
  overflow-y: auto; 
  font-family: Arial, sans-serif;
  /* margin: 0; */
  padding: 20px 20px 10px 20px;
  color: white;
  overflow-y: auto;   /* 垂直滚动 */
}

header {
  background-color: rgba(0, 0, 0, 0.4);
  padding: 1em 0;
  top: 0;
  text-align: center;
  flex-shrink: 0; /* 固定大小，不随滚动内容变化 */
}

nav a {
  color: white;
  margin: 0 15px;
  text-decoration: none;
  font-weight: bold;
}

nav a.active, nav a:hover {
  text-decoration: underline;
}

.hero {
  padding: 100px 20px;
}

.btn {
  display: inline-block;
  margin-top: 20px;
  padding: 10px 20px;
  background-color: white;
  color: #6A3EFC;
  border-radius: 25px;
  text-decoration: none;
  font-weight: bold;
}

footer {
  background-color: rgba(0, 0, 0, 0.4);
  padding: 20px;
  bottom: 0;
  width: 100%;
  flex-shrink: 0; /* 固定大小，不随滚动内容变化 */
}

footer1 {
  background-color: rgba(0, 0, 0, 0.4);
  padding: 20px;
  position: fixed;
  bottom: 0;
  width: 100%;
}
